from distutils.core import setup

import glob, sys, py2exe, os
sys.argv.extend("py2exe --bundle 1".split())

setup(name='jenprog',
    version='1.3',
    py_modules=['con_serial', 'flashutils'],
    scripts=['jenprog.py'],
    requires=('pyserial'),
    options = {"py2exe":
        {
            'dist_dir': 'bin',
            'excludes': ['serialjava', 'serialposix', 'serialcli'],
            'compressed': 1,
        }
    },
    console = [
        { 'script' : 'jenprog.py'}
    ],
    zipfile = None
)
